YUI AS Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Class Series

Package | com.yahoo.astra.fl.charts.series
Class | public class Series
Inheritance | Series fl.core.UIComponent
Implements | ISeries
Subclasses | CartesianSeries, PieSeries

Functionality common to most series. Generally, a `Series` object shouldn't be instantiated directly. Instead, a subclass with a concrete implementation should be used.

Public Properties

| Property | Defined by
--- | --- | ---
|  | chart : Object The chart in which this series appears. | Series
|  | dataProvider : Object The data provider for this series. | Series
|  | dataTipFunction : Function DataTip Function for series | Series
|  | displayName : String The name of the series as it appears to the user. | Series
|  | itemRenderer : Object The class used to instantiate item renderers. | Series
|  | legendLabelFunction : Function If defined, the chart will call the input function to determine the text displayed in in the chart's legend. | Series
|  | length : int [read-only] The number of items in the series. | Series

Public Methods

| Method | Defined by
--- | --- | ---
|  | Series(dataProvider:Object = null) Constructor. | Series
|  | clone():ISeries Creates a copy of the ISeries object. | Series
|  | itemRendererToIndex(renderer:ISeriesItemRenderer):int Returns the index of an item renderer. | Series
|  | itemToItemRenderer(item:Object):ISeriesItemRenderer Converts an item to its corresponding item renderer. | Series

Protected Methods

| Method | Defined by
--- | --- | ---
|  | invalidateMarker(marker:ISeriesItemRenderer):void Invalidates a marker (considered new). | Series
|  | isMarkerInvalid(marker:ISeriesItemRenderer):Boolean Indicates whether special considerations should be taken for a newly created marker. | Series
|  | validateMarker(marker:ISeriesItemRenderer):void Makes a marker valid. | Series

Styles

| Style | Description | Defined by
--- | --- | --- | ---
|  | animationDuration | Type: int The duration for animations that occur on data changes. | Series
|  | animationEasingFunction | Type: Function The easing function for animations that occur on data changes. | Series
|  | animationEnabled | Type: Boolean If true, data changes will be displayed with animations. If false, changes will happen instantly. | Series
|  | borderAlpha | Type: Number The alpha value from 0.0 to 1.0 to use for drawing the border of markers. | Series
|  | borderColor | Type: uint The border color used by programatic skins in this series. | Series
|  | color | Type: uint The base color used by objects displayed in this series. | Series
|  | fillAlpha | Type: Number The alpha value from 0.0 to 1.0 to use for drawing the fills of markers. | Series
|  | fillColor | Type: uint The fill color used by programatic skins in this series. | Series
|  | markerAlpha | Type: Number The alpha value from 0.0 to 1.0 to use for drawing the markers. | Series
|  | markerSize | Type: Number The size, in pixels, of each marker. | Series
|  | markerSkin | Type: Class The Class used to instantiate each marker's skin. | Series

Property detail

chart | property

`chart:Object` [read-write]

The chart in which this series appears.

Implementation
`public function get chart():Object`
`public function set chart(value:Object):void`

dataProvider | property |

`dataProvider:Object` [read-write]

The data provider for this series. Accepts `Array` or `XMLList` objects.

Implementation
`public function get dataProvider():Object`
`public function set dataProvider(value:Object):void`

dataTipFunction | property |

`dataTipFunction:Function` [read-write]

DataTip Function for series

Implementation
`public function get dataTipFunction():Function`
`public function set dataTipFunction(value:Function):void`

displayName | property |

`displayName:String` [read-write]

The name of the series as it appears to the user.

Implementation
`public function get displayName():String`
`public function set displayName(value:String):void`

itemRenderer | property |

`itemRenderer:Object` [read-write]

The class used to instantiate item renderers.

Implementation
`public function get itemRenderer():Object`
`public function set itemRenderer(value:Object):void`

legendLabelFunction | property |

`legendLabelFunction:Function` [read-write]

If defined, the chart will call the input function to determine the text displayed in in the chart's legend.

Implementation
`public function get legendLabelFunction():Function`
`public function set legendLabelFunction(value:Function):void`

length | property |

`length:int` [read-only]

The number of items in the series.

Implementation
`public function get length():int`
Constructor detail

Series | () | constructor

`public function Series(dataProvider:Object = null)`

Constructor.

Parameters

| `dataProvider:Object` (default = `null`)``

Method detail

clone | () | method

`public function clone():ISeries`

Creates a copy of the ISeries object.

Returns

| `ISeries` — a new ISeries object

invalidateMarker | () | method |

`protected function invalidateMarker(marker:ISeriesItemRenderer):void`

Invalidates a marker (considered new).

Parameters

| `marker:ISeriesItemRenderer`

isMarkerInvalid | () | method |

`protected function isMarkerInvalid(marker:ISeriesItemRenderer):Boolean`

Indicates whether special considerations should be taken for a newly created marker.

Parameters

| `marker:ISeriesItemRenderer`

Returns

| `Boolean`

itemRendererToIndex | () | method |

`public function itemRendererToIndex(renderer:ISeriesItemRenderer):int`

Returns the index of an item renderer.

Parameters

| `renderer:ISeriesItemRenderer` — The renderer whose index is to be returned.

Returns

| `int` — The index of the renderer.

itemToItemRenderer | () | method |

`public function itemToItemRenderer(item:Object):ISeriesItemRenderer`

Converts an item to its corresponding item renderer.

Parameters

| `item:Object` — The item from the dataProvider to be converted to a renderer.

Returns

| `ISeriesItemRenderer` — The renderer that corresponds to the item.

validateMarker | () | method |

`protected function validateMarker(marker:ISeriesItemRenderer):void`

Makes a marker valid. To be used by subclasses.

Parameters

| `marker:ISeriesItemRenderer`